%define upstream_name    DBIx-Class-DeploymentHandler
%define upstream_version 0.002100

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Extensible DBIx::Class deployment
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Carp::Clan)
BuildRequires: perl(Context::Preserve) >= 0.10.0
BuildRequires: perl(DBD::SQLite) >= 1.350.0
BuildRequires: perl(DBIx::Class) >= 0.81.210
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Touch) >= 0.80.0
BuildRequires: perl(Log::Contextual) >= 0.3.0
BuildRequires: perl(Moose) >= 1.0.0
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.180.0
BuildRequires: perl(SQL::Translator) >= 0.110.50
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(aliased)
BuildRequires: perl(autodie)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent) >= 0.225.0
BuildArch:  noarch

%description
'DBIx::Class::DeploymentHandler' is, as its name suggests, a tool for
deploying and upgrading databases with DBIx::Class. It is
designed to be much more flexible than DBIx::Class::Schema::Versioned,
hence the use of Moose and lots of roles.

'DBIx::Class::DeploymentHandler' itself is just a recommended set of roles
that we think will not only work well for everyone, but will also yield the
best overall mileage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.2.100-1.mga2
+ Revision: 218671
- update to 0.002100

* Thu Feb 23 2012 jquelin <jquelin> 0.1.8-1.mga2
+ Revision: 212748
- update to 0.001008

* Fri Apr 15 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 85692
- adding missing buildrequires:
- update to 0.001005

* Tue Jan 25 2011 jquelin <jquelin> 0.1.4-3.mga1
+ Revision: 38580
- mageia rebuild
- imported package perl-DBIx-Class-DeploymentHandler

